> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Schedule History

> Get run history for a schedule.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /reports/schedules/{schedule_id}/runs
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /reports/schedules/{schedule_id}/runs:
    get:
      tags:
        - reports
      summary: Get Schedule History
      description: Get run history for a schedule.
      operationId: get_schedule_history_reports_schedules__schedule_id__runs_get
      parameters:
        - name: schedule_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Schedule ID
            title: Schedule Id
          description: Schedule ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of runs per page
            default: 20
            title: Limit
          description: Number of runs per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of runs to skip
            default: 0
            title: Offset
          description: Number of runs to skip
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleHistoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScheduleHistoryResponse:
      properties:
        schedule:
          $ref: '#/components/schemas/CommandScheduleResponse'
        command_name:
          type: string
          title: Command Name
        runs:
          items:
            $ref: '#/components/schemas/CommandRunResponse'
          type: array
          title: Runs
        pagination:
          additionalProperties:
            type: integer
          type: object
          title: Pagination
      type: object
      required:
        - schedule
        - command_name
        - runs
        - pagination
      title: ScheduleHistoryResponse
      description: Response for schedule history endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CommandScheduleResponse:
      properties:
        command_id:
          type: string
          format: uuid
          title: Command Id
          description: ID of the command to execute
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: Organization ID
        cron_expression:
          type: string
          title: Cron Expression
          description: Cron expression (e.g., '0 9 * * 1' for Monday 9am)
        timezone:
          type: string
          title: Timezone
          description: Timezone for cron evaluation
          default: UTC
        enabled:
          type: boolean
          title: Enabled
          description: Whether the schedule is active
          default: true
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        run_mode:
          type: string
          title: Run Mode
          default: per_subscriber
        id:
          type: string
          format: uuid
          title: Id
        created_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By User Id
        next_run_time:
          type: string
          format: date-time
          title: Next Run Time
        last_run_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Run Time
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - command_id
        - organization_id
        - cron_expression
        - id
        - next_run_time
        - last_run_time
        - created_at
        - updated_at
      title: CommandScheduleResponse
      description: Response model for command schedule.
    CommandRunResponse:
      properties:
        schedule_id:
          type: string
          format: uuid
          title: Schedule Id
          description: ID of the schedule that triggered this run
        user_id:
          type: string
          format: uuid
          title: User Id
          description: ID of the user this run is for (subscriber)
        id:
          type: string
          format: uuid
          title: Id
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        status:
          $ref: '#/components/schemas/CommandRunStatus'
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        thread_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Thread Id
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        is_read:
          type: boolean
          title: Is Read
        read_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Read At
        is_source_run:
          type: boolean
          title: Is Source Run
          default: true
        source_run_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Source Run Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - schedule_id
        - user_id
        - id
        - user_email
        - status
        - started_at
        - completed_at
        - error_message
        - thread_id
        - summary
        - is_read
        - read_at
        - created_at
      title: CommandRunResponse
      description: Response model for command run.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CommandRunStatus:
      type: string
      enum:
        - triggered
        - running
        - summarizing
        - completed
        - failed
      title: CommandRunStatus
      description: Status enum for command runs (matches ThreadStatus pattern).
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````